# services/jellyfin/pvc.yaml
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: jellyfin-config-astreae
  namespace: jellyfin
spec:
  accessModes: ["ReadWriteOnce"]
  resources:
    requests:
      storage: 10Gi
  storageClassName: astreae

---

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: jellyfin-cache-astreae
  namespace: jellyfin
spec:
  accessModes: ["ReadWriteOnce"]
  resources:
    requests:
      storage: 50Gi
  storageClassName: astreae

---

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: jellyfin-media-asteria
  namespace: jellyfin
spec:
  accessModes: ["ReadWriteMany"]
  resources:
    requests:
      storage: 4Ti
  storageClassName: asteria

---

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: jellyfin-media-asteria-new
  namespace: jellyfin
spec:
  accessModes: ["ReadWriteMany"]
  resources:
    requests:
      storage: 4Ti
  storageClassName: asteria
